commit:     0ff212c8c789d4adcb21894448cbd7985c576de1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  3 12:52:12 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 12:52:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ff212c8

app-arch/bzip2: fix src_test

* Actually test the just-built DSO
* ... as a consequence, fix tests for ABI_X86="32" with tests where
  ABI_X86="32" was not previously enabled

Closes: https://bugs.gentoo.org/926553
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-arch/bzip2/bzip2-1.0.8-r5.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/app-arch/bzip2/bzip2-1.0.8-r5.ebuild 
b/app-arch/bzip2/bzip2-1.0.8-r5.ebuild
index 45efadcfce0d..51f64021ee9a 100644
--- a/app-arch/bzip2/bzip2-1.0.8-r5.ebuild
+++ b/app-arch/bzip2/bzip2-1.0.8-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # XXX: atm, libbz2.a is always PIC :(, so it is always built quickly
@@ -70,6 +70,7 @@ multilib_src_compile() {
 
 multilib_src_test() {
        cp "${S}"/sample* "${BUILD_DIR}" || die
+       ln -s libbz2.so.1.0 libbz2.so.1 || die
        bemake -f "${S}"/Makefile check
 }
 

Reply via email to